refine it a bit
diff --git a/distro/README.md b/distro/README.md
new file mode 100644
index 0000000..0b07d17
--- /dev/null
+++ b/distro/README.md
@@ -0,0 +1,18 @@
+# Updating bazelbuild/platforms
+
+## Step 1: Make the release
+
+- Pick a new version number
+- run distro/make_rel.sh *version*
+- Go to the [Releases](https://github.com/bazelbuild/platforms/releases) page
+- Draft a new release
+  - Name the release with a version number
+  - Use the version number as the title
+  - Copy the description that make_rel.sh produced to the description field.
+  - upload the generated tar file
+
+- use https://github.com/bazelbuild/continuous-integration/blob/master/mirror/mirror.sh to mirror the file
+
+## Step 2: Update Bazel
+
+
diff --git a/distro/makerel.sh b/distro/makerel.sh
index b0dd1cb..e6f8fe3 100755
--- a/distro/makerel.sh
+++ b/distro/makerel.sh
@@ -11,12 +11,16 @@
   exit 1
 fi
 
+# tar on macos builds a file with different checksums each time.
+if [[ $(uname) != 'Linux' ]] ; then
+  echo 'You must run this command from a linux machine.'
+  exit 1
+fi
+
 
 dist_file="/tmp/platforms-${version}.tar.gz"
 tar czf "$dist_file" BUILD LICENSE WORKSPACE cpu os
 sha256=$(shasum -a256 "$dist_file" | cut -d' ' -f1)
-md5 $dist_file
-
 
 cat <<INP
 
@@ -26,7 +30,7 @@
 3. Upload $dist_file as an artifact.
 4. Copy $dist_file to the mirror site.
 5. Create the release.
-6. Update Bazel to point to this new release.
+6. Update Bazel to point to this new release. See the readme.
 
 =============== CUT HERE =============== 
 **WORKSPACE setup**
@@ -36,8 +40,8 @@
 http_archive(
     name = "platforms",
     urls = [
-        "https://github.com/bazelbuild/platforms/releases/download/$version/platforms-$version.tar.gz",
         "https://mirror.bazel.build/github.com/bazelbuild/platforms/releases/download/$version/platforms-$version.tar.gz",
+        "https://github.com/bazelbuild/platforms/releases/download/$version/platforms-$version.tar.gz",
     ],
     sha256 = "$sha256",
 )
diff --git a/distro/releasing.md b/distro/releasing.md
deleted file mode 100644
index 7ddb9c0..0000000
--- a/distro/releasing.md
+++ /dev/null
@@ -1,9 +0,0 @@
-# Updating bazelbuild/platforms
-
-## Step 1: Make the release
-
-- Go to the [Releases](https://github.com/bazelbuild/platforms/releases) page
-- Draft a new release
-  - Name the release with a version number
-  - Let the release title default
-  - Leave the description blank